#
# spec file for package telemetrygen
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           telemetrygen
Version:        0.127.0
Release:        1.1
Summary:        Telemetry generator for OpenTelemetry
License:        Apache-2.0
URL:            https://github.com/open-telemetry/opentelemetry-collector-contrib
Source0:        %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang(API) >= 1.23

%description
This utility simulates a client generating traces, metrics, and logs. It is
useful for testing and demonstration purposes.

%prep
%autosetup -p 1
%setup -a 1 -n %{name}-%{version}/cmd/telemetrygen/

%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -o bin/%{name} .

%install
# Install the binary.
install -D -m 0755 bin/%{name} %{buildroot}/%{_bindir}/%{name}

cp ../../LICENSE .

%check

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Sun Jun  8 2025 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- update to version 0.127.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.127.0
- update to version 0.126.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.126.0
- update to version 0.125.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.125.0
- update to version 0.124.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.124.0
- update to version 0.123.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.123.0
- update to version 0.122.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.122.0
- update to version 0.121.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.121.0
- update to version 0.120.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.120.0
- update to version 0.119.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.119.0
- update to version 0.118.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.118.0
- update to version 0.117.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.117.0
- update to version 0.116.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.116.0
- update to version 0.115.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.115.0
- update to version 0.114.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.114.0
- update to version 0.113.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.113.0
- update to version 0.112.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.112.0
- update to version 0.111.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.111.0
- update to version 0.110.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.110.0
- update to version 0.109.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.109.0
- update to version 0.108.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.108.0
- update to version 0.107.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.107.0
- update to version 0.106.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.106.0
- update to version 0.105.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.105.0
- update to version 0.104.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.104.0
- update to version 0.103.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.103.0
- update to version 0.102.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.102.0
- update to version 0.101.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.101.0
- update to version 0.100.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.100.0
- update to version 0.99.0:
  https://github.com/open-telemetry/opentelemetry-collector-contrib/releases/tag/v0.99.0
* Tue Apr 16 2024 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- new package telemetrygen: Telemetry generator for OpenTelemetry
